Retrieve a queue item
GET/v1/queue/{id}Key scope read
Returns one review queue item together with the moderation it belongs to, as that moderation was returned when it finished.
Needs a key with the read scope. Authentication
curl https://api.useinfrared.com/v1/queue/qi_3mr0Fb23lDSkWuE29vDfTH \
-H "Authorization: Bearer $INFRARED_KEY"const response = await fetch("https://api.useinfrared.com/v1/queue/qi_3mr0Fb23lDSkWuE29vDfTH", {
headers: { Authorization: `Bearer ${process.env.INFRARED_KEY}` },
});
const data = await response.json();import os
import requests
response = requests.get(
"https://api.useinfrared.com/v1/queue/qi_3mr0Fb23lDSkWuE29vDfTH",
headers={"Authorization": f"Bearer {os.environ['INFRARED_KEY']}"},
)
data = response.json()200 OKResponse
{
"object": "queue_item",
"id": "qi_3mr0Fb23lDSkWuE29vDfTH",
"project_id": "prj_0TBAgHGtdMketrbltGFHuk",
"moderation_id": "mod_63ajou7C7QWp0VYZDPRRvY",
"template_id": "tpl_64mYq4nD3NXNfu0gcdaMZa",
"author_id": "aut_09rs1aKw1Rzu53E2C4ER7u",
"state": "pending",
"priority": "urgent",
"severity": "critical",
"language": "en",
"reason": "rule",
"conflict": false,
"resolution": null,
"assignee": null,
"assigned_at": null,
"sla_due_at": null,
"resolved_by": null,
"resolved_at": null,
"reopened_at": null,
"settled_by_case_id": null,
"summary": {
"type": "text",
"author": {
"id": "aut_09rs1aKw1Rzu53E2C4ER7u",
"status": "enabled",
"external_id": "user_1307",
"trust_level": "new"
},
"scores": {
"spam": 0,
"sexual": 0,
"illicit": 0.0038,
"toxicity": 0,
"violence": 0,
"duplicate": 0,
"gibberish": 0,
"profanity": 0,
"self_harm": 0,
"watermark": 0,
"screenshot": 0,
"hate_speech": 0,
"instructions": 0.8,
"made_with_ai": 0,
"image_quality": 0,
"links_contact": 0.8,
"personal_data": 0.75,
"lookalike_characters": 0,
"wordlist/competitors": 0.85,
"guideline/no-off-site-deals": 1
},
"dry_run": false,
"preview": "Road bike, 54 cm frame, serviced last month. I also list on Tradely. Text me on +44 7700 900142 and pay by bank transfer to skip the fees.",
"language": "en",
"severity": "critical",
"template": "listing",
"triggered": [
"personal_data",
"guideline/no-off-site-deals",
"wordlist/competitors",
"instructions"
],
"content_id": "listing_20872"
},
"created_at": "2026-10-08T09:29:03.917Z",
"updated_at": "2026-10-08T09:29:03.917Z",
"moderation": {
"id": "mod_63ajou7C7QWp0VYZDPRRvY",
"rule": {
"id": "r6",
"name": "Links from new accounts",
"action": "review"
},
"test": true,
"type": "text",
"field": "description",
"usage": {
"cached": false,
"checks": 0
},
"author": {
"id": "aut_09rs1aKw1Rzu53E2C4ER7u",
"known": true,
"status": "enabled",
"external_id": "user_1307",
"trust_level": "new"
},
"object": "moderation",
"status": "completed",
"details": {
"spam": {
"field": "description"
},
"sexual": {
"field": "description"
},
"illicit": {
"field": "description"
},
"toxicity": {
"field": "description"
},
"violence": {
"field": "description"
},
"duplicate": {
"field": "description"
},
"gibberish": {
"field": "description"
},
"profanity": {
"field": "description"
},
"self_harm": {
"field": "description"
},
"hate_speech": {
"field": "description"
},
"instructions": {
"field": "description",
"labels": ["confidence:90"],
"matches": [
{
"field": "description",
"label": "evidence",
"value": "Text me on +44 7700 900142 and pay by bank transfer to skip the fees."
}
],
"explanation": "The listing asks buyers to contact the seller outside the platform and pay via bank transfer, which is against the policy of keeping deals on-site."
},
"made_with_ai": {
"field": "description"
},
"links_contact": {
"field": "description",
"labels": ["phone", "off_platform"],
"matches": [
{
"label": "phone",
"value": "+44 7700 900142",
"reason": "This is a concrete phone number that can be used to contact the seller off-platform."
},
{
"label": "phone",
"value": "Text me on +44 7700 900142",
"reason": "This is a call to action to contact the seller off-platform using a concrete phone number."
},
{
"label": "phone",
"value": "pay by bank transfer to skip the fees",
"reason": "This is a call to action to conduct the transaction off-platform."
},
{
"label": "phone",
"value": "+44 7700 900142",
"source": "model"
}
]
},
"personal_data": {
"field": "description",
"labels": ["phone"],
"matches": [
{
"end": 95,
"label": "phone",
"start": 80,
"value": "+44 7700 900142"
}
],
"masked_output": "Road bike, 54 cm frame, serviced last month. I also list on Tradely. Text me on +44***42 and pay by bank transfer to skip the fees."
},
"lookalike_characters": {
"field": "description"
},
"wordlist/competitors": {
"field": "description",
"labels": ["block"],
"matches": [
{
"end": 67,
"term": "tradely",
"label": "block",
"start": 60,
"value": "tradely",
"canonical": "tradely",
"similarity": 1
}
],
"canonical_term": "tradely"
},
"guideline/no-off-site-deals": {
"field": "description",
"labels": ["confidence:100"],
"matches": [
{
"field": "description",
"label": "evidence",
"value": "Text me on +44 7700 900142 and pay by bank transfer to skip the fees."
}
],
"explanation": "The seller explicitly instructs buyers to communicate and pay outside the platform, which is a direct violation of the no off-site deals policy."
}
},
"dry_run": false,
"flagged": true,
"reasons": [
"trigger:personal_data:flag",
"trigger:guideline/no-off-site-deals:flag",
"trigger:wordlist/competitors:flag",
"trigger:instructions:flag",
"rule:r6"
],
"language": "en",
"metadata": null,
"policies": {
"spam": 0,
"sexual": 0,
"illicit": 0,
"toxicity": 0,
"violence": 0,
"duplicate": 0,
"gibberish": 0,
"profanity": 0,
"self_harm": 0,
"watermark": 0,
"screenshot": 0,
"hate_speech": 0,
"instructions": 0.8,
"made_with_ai": 0,
"image_quality": 0,
"links_contact": 0.8,
"personal_data": 0.75,
"lookalike_characters": 0,
"wordlist/competitors": 0.85,
"guideline/no-off-site-deals": 1
},
"severity": "critical",
"template": {
"slug": "listing",
"version": 2
},
"triggered": [
"personal_data",
"guideline/no-off-site-deals",
"wordlist/competitors",
"instructions"
],
"content_id": "listing_20872",
"context_id": null,
"created_at": "2026-10-08T09:28:59.714Z",
"latency_ms": 3043,
"completed_at": "2026-10-08T09:29:03.296Z",
"recommendation": "review"
}
}Path parameters
idstringRequiredId of the queue item:
qi_plus 22 base62 characters.
Returns
The queue item with a moderation property that holds the full moderation. moderation is null once the moderation's retention period has passed.
- 200 OKAn object
Errors
- 404
not_foundThe key's project has no queue item with this id, or the id is malformed.
Every endpoint can also answer the errors any request can meet: a missing key, a rate limit, a malformed body. Errors
Something missing or unclear on this page? Write to support@useinfrared.com.